#include <iostream>

using namespace std;
//long long s[100005];
int main()
{
    long long n,a=0,b,c,l,r;
    string s;
    cin>>s;
    cin>>n;
    for(int j=0; j<n; j++)
    {
        cin>>l>>r;
        l--;
        r--;
        for(int i=l+1; i<=r; i++)
        {
            if(s[i-1]>s[i])
            {
                a++;
//                cout<<s[i-1]<<" "<<s[i]<<" ";
            }
        }
//        if(s[r-1]>s[r])
//            {
//                a++;
//              }
        cout<<a+1<<endl<<endl;
        a=0;
    }
}
